=== debian/changelog ===
with-editor (3.4.8-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.3; no change needed
  * Drop `Priority: optional'; now default
  * Stop building html docs
    - Those contains external js and css link which are considered a
      potential privacy leak.
  * Update echo comments to mentions building of docs in d/rules

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 08 Jan 2026 00:33:38 -0800
