=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo Do not run make.  Only build docs.
	make info pdf

override_dh_auto_install:
	@echo do not run make install
